Subject: Re: bug#36678: 27.0.50; imenu not working in C++ (maybe because of namespace)

From: Richard Stallman <[email-masked]>
Date: Sun, 04 Aug 2019 22:26:49 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > This indentation inside a namespace seems like a natural way to format a
  > program, and people are going to carry on doing it.

I think they are making a bad decision, and we should spread awareness
of the practical reasons not to do that.

Of course, if we can make Emacs handle that kind of indentation
better, it is good to do so.  If we can do so with no slowdown, that's
ideal.  But educating users to follow indentation conventions is much
better than nothing.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)